import { VuexModule } from "vuex-module-decorators";
import { CountingMessages, MessageFilterType } from "../types/CountingMessages";
import { UpdateCountingDto } from "../dto/UpdateCountingDto";
export default class CountingMessagesModule extends VuexModule {
    counting: CountingMessages;
    isInitialisedWebsocket: boolean;
    setInitializeWebsocket(): void;
    setCount(payload: UpdateCountingDto): void;
    increment(type: MessageFilterType): void;
    decrement(type: MessageFilterType): void;
    loadCounting(): Promise<void[]>;
    loadOpenThreadsCounting(): Promise<void>;
    initWebsocket(): Promise<void>;
}
